@import 'assets/styles/mixin.scss';

* {
  font-family: arial, sans-serif;
}

body {
  margin: 0;
}

.ecl-text-input {
  box-shadow:
    0 0.125rem 0.25rem 0 #09318e14,
    0 0 0.625rem 0 #09318e14,
    0 0.25rem 0.3rem 0 #09318e14,
    0 -0.25rem 0.25rem 0 #09318e14;
  width: 100%;
  @include tablet-large {
    width: 22rem;
  }
}

.header__description {
  max-width: unset;

  a {
    color: unset;
  }
}

.spinner-container {
  position: relative;
  display: flex;
  justify-content: center;
}

.ecl-site-header__banner {
  background: transparent !important;
}

.ecl-site-header__site-name {
  color: #515560 !important;
  font:
    normal normal 400 2rem/2.5rem arial,
    sans-serif;
  font-weight: 700;
  padding-top: 0;
}

ecl-breadcrumb {
  //removes the breadcrumb ellipsis
  .ecl-breadcrumb__segment--ellipsis {
    display: none !important;
  }

  ecl-breadcrumb-segment > a {
    cursor: pointer !important;
  }
}

//_________________________custom mega menu start

ecl-menu-mega {
  z-index: 1000 !important;
}

ecl-menu-mega-item {
  // sets the width of the buttons inside the mega-menu
  min-width: 8rem !important;

  .ecl-menu__sublink {
    color: #404040 !important;
    background-color: transparent !important;
  }

  .ecl-menu__sublink:hover {
    color: #404040 !important;
    text-decoration: none;
    background-color: transparent !important;
  }
}

.ee-country-button:hover {
  cursor: pointer;
  background-color: #e4eaf8 !important;
  box-shadow: inset 4px 0 0 0 #0b43bc;
}

.ee-dropdown-container {
  // 3 columns design
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin: 1rem;
}

.ecl-menu__list {
  // justifies the last child to the right
  ecl-menu-item:last-child {
    margin-left: auto !important;
    border: none;
    box-shadow: none !important;
  }

  #ee-evidences-providers-menu-item::after {
    background-color: var(--c-p-60) !important;
    content: '' !important;
    display: block !important;
    flex-shrink: 0 !important;
    margin-bottom: var(--s-xs) !important;
    margin-top: var(--s-xs) !important;
    width: 1px !important;
  }

  #ee-evidences-providers-menu-item:hover::after {
    background-color: transparent !important;
    width: 0 !important;
  }

  #ee-country-selector-mega-menu::before {
    background-color: var(--c-p-60) !important;
    content: '';
    display: block;
    flex-shrink: 0;
    margin-bottom: var(--s-xs);
    margin-top: var(--s-xs);
    width: 1px;
  }

  #ee-country-selector-mega-menu:hover::before {
    background-color: transparent !important;
  }
}

@media screen and (max-width: 996px) {
  #ee-country-selector-mega-menu {
    padding-top: 20px;
    border-top: 1px solid var(--c-p-20);
    margin-left: 0 !important;
    background-color: #ffffff;

    button {
      background-color: #ffffff;
    }

    button:hover {
      background-color: var(--c-p-10);
    }
  }

  #ee-country-selector-mega-menu:hover {
    background-color: var(--c-p-10);

    button {
      background-color: var(--c-p-10);
    }
  }
  .ee-dropdown-container {
    // 2 columns design
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin: 1rem;
  }

  #ee-country-selector-mega-menu::before {
    background-color: transparent !important;
  }
}

//_________________________custom mega menu end
app-evidences-main-page {
  ecl-tabs {
    button.ecl-button {
      display: none !important; // user to remove a button from the end of the tabs component that is a UI bug
    }
  }
}
